import { z } from 'zod';
import { Tool } from '../../core/types.js';
declare const parameterSchema: z.ZodObject<{
    method: z.ZodString;
    url: z.ZodString;
    params: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
    body: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
    headers: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    url: string;
    method: string;
    headers?: Record<string, string> | undefined;
    params?: Record<string, any> | undefined;
    body?: Record<string, any> | undefined;
}, {
    url: string;
    method: string;
    headers?: Record<string, string> | undefined;
    params?: Record<string, any> | undefined;
    body?: Record<string, any> | undefined;
}>;
declare const returnSchema: z.ZodObject<{
    status: z.ZodNumber;
    statusText: z.ZodString;
    headers: z.ZodRecord<z.ZodString, z.ZodString>;
    body: z.ZodUnion<[z.ZodString, z.ZodRecord<z.ZodString, z.ZodAny>]>;
}, "strip", z.ZodTypeAny, {
    headers: Record<string, string>;
    status: number;
    body: string | Record<string, any>;
    statusText: string;
}, {
    headers: Record<string, string>;
    status: number;
    body: string | Record<string, any>;
    statusText: string;
}>;
type Parameters = z.infer<typeof parameterSchema>;
type ReturnType = z.infer<typeof returnSchema>;
export declare const fetchTool: Tool<Parameters, ReturnType>;
export {};
//# sourceMappingURL=fetch.d.ts.map