import { z } from 'zod';
import { Tool } from '../../core/types.js';
declare const parameterSchema: z.ZodObject<{
    status: z.ZodOptional<z.ZodEnum<["all", "running", "completed", "error", "terminated"]>>;
    type: z.ZodOptional<z.ZodEnum<["all", "shell", "browser", "agent"]>>;
    verbose: z.ZodOptional<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    type?: "all" | "shell" | "browser" | "agent" | undefined;
    status?: "error" | "all" | "running" | "completed" | "terminated" | undefined;
    verbose?: boolean | undefined;
}, {
    type?: "all" | "shell" | "browser" | "agent" | undefined;
    status?: "error" | "all" | "running" | "completed" | "terminated" | undefined;
    verbose?: boolean | undefined;
}>;
declare const returnSchema: z.ZodObject<{
    tools: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        type: z.ZodString;
        status: z.ZodString;
        startTime: z.ZodString;
        endTime: z.ZodOptional<z.ZodString>;
        runtime: z.ZodNumber;
        metadata: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
    }, "strip", z.ZodTypeAny, {
        type: string;
        id: string;
        status: string;
        startTime: string;
        runtime: number;
        metadata?: Record<string, any> | undefined;
        endTime?: string | undefined;
    }, {
        type: string;
        id: string;
        status: string;
        startTime: string;
        runtime: number;
        metadata?: Record<string, any> | undefined;
        endTime?: string | undefined;
    }>, "many">;
    count: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    tools: {
        type: string;
        id: string;
        status: string;
        startTime: string;
        runtime: number;
        metadata?: Record<string, any> | undefined;
        endTime?: string | undefined;
    }[];
    count: number;
}, {
    tools: {
        type: string;
        id: string;
        status: string;
        startTime: string;
        runtime: number;
        metadata?: Record<string, any> | undefined;
        endTime?: string | undefined;
    }[];
    count: number;
}>;
type Parameters = z.infer<typeof parameterSchema>;
type ReturnType = z.infer<typeof returnSchema>;
export declare const listBackgroundToolsTool: Tool<Parameters, ReturnType>;
export {};
//# sourceMappingURL=listBackgroundTools.d.ts.map